Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X PUT "https://api.box.com/2.0/files/12345/metadata/global/boxSkillsCards" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json-patch+json" \
-d '[{
"op": "replace",
"path": "/cards/0",
"value": {
"type": "skill_card",
"skill_card_type": "keyword",
"skill_card_title": {
"code": "license-plates",
"message": "Licence Plates"
},
"skill": {
"type": "service",
"id": "license-plates-service"
},
"invocation": {
"type": "skill_invocation",
"id": "license-plates-service-123"
},
"entries": [
{ "text": "DD-26-YT" },
{ "text": "DN86 BOX" }
]
}
}]'{
"$canEdit": true,
"$id": "01234500-12f1-1234-aa12-b1d234cb567e",
"$parent": "folder_59449484661,",
"$scope": "enterprise_27335",
"$template": "properties",
"$type": "properties-6bcba49f-ca6d-4d2a-a758-57fe6edf44d0",
"$typeVersion": 2,
"$version": 1,
"cards": [
{
"type": "skill_card",
"skill_card_type": "keyword",
"skill": {
"type": "service",
"id": "image-recognition-service"
},
"invocation": {
"type": "skill_invocation",
"id": "image-recognition-service-123"
},
"entries": [
{
"text": "keyword1"
}
],
"created_at": "2018-04-13T13:53:23-07:00",
"skill_card_title": {
"message": "Labels",
"code": "labels"
}
}
]
}Updates one or more Box Skills metadata cards to a file.
curl -i -X PUT "https://api.box.com/2.0/files/12345/metadata/global/boxSkillsCards" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json-patch+json" \
-d '[{
"op": "replace",
"path": "/cards/0",
"value": {
"type": "skill_card",
"skill_card_type": "keyword",
"skill_card_title": {
"code": "license-plates",
"message": "Licence Plates"
},
"skill": {
"type": "service",
"id": "license-plates-service"
},
"invocation": {
"type": "skill_invocation",
"id": "license-plates-service-123"
},
"entries": [
{ "text": "DD-26-YT" },
{ "text": "DN86 BOX" }
]
}
}]'{
"$canEdit": true,
"$id": "01234500-12f1-1234-aa12-b1d234cb567e",
"$parent": "folder_59449484661,",
"$scope": "enterprise_27335",
"$template": "properties",
"$type": "properties-6bcba49f-ca6d-4d2a-a758-57fe6edf44d0",
"$typeVersion": 2,
"$version": 1,
"cards": [
{
"type": "skill_card",
"skill_card_type": "keyword",
"skill": {
"type": "service",
"id": "image-recognition-service"
},
"invocation": {
"type": "skill_invocation",
"id": "image-recognition-service-123"
},
"entries": [
{
"text": "keyword1"
}
],
"created_at": "2018-04-13T13:53:23-07:00",
"skill_card_title": {
"message": "Labels",
"code": "labels"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier that represents a file.
The ID for any file can be determined by visiting a file in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/files/123 the file_id is 123.
The value will always be replace.
replace "replace"
The JSON Path that represents the card to replace. In most cases this will be in the format /cards/{index} where index is the zero-indexed position of the card in the list of cards.
"/cards/0"
The card to insert into the list of cards at the position defined by path.
Show child attributes
Returns the updated metadata template, with the custom template data included.
The metadata assigned to a using for Box skills.
Whether the user can edit this metadata.
true
A UUID to identify the metadata object.
36"01234500-12f1-1234-aa12-b1d234cb567e"
An ID for the parent folder.
"folder_59449484661,"
An ID for the scope in which this template has been applied.
"enterprise_27335"
The name of the template.
"properties"
A unique identifier for the "type" of this instance. This is an internal system property and should not be used by a client application.
"properties-6bcba49f-ca6d-4d2a-a758-57fe6edf44d0"
The last-known version of the template of the object. This is an internal system property and should not be used by a client application.
2
The version of the metadata object. Starts at 0 and increases every time a user-defined property is modified.
1
A list of Box Skill cards that have been applied to this file.
A skill card that contains a set of keywords.
Show child attributes
Was this page helpful?